Subject: bug#70189: [PATCH] Simple request to add '.eln' to the 'completion-ignored-extensions' list

From: Robert Burks <[email-masked]>
Date: Fri, 5 Apr 2024 16:56:03 -0400

Please include the attached with the group of 31 patches I sent prior.
This patch removes the warning suppression from a test in patch 20.
At some point I had altered the test and forgot to remove the warning
suppression.  This is one of the non-bug related tests.

Additionally, if after review you would like me to handle updating bug
numbers in the commits to the ones assigned or correct any typos let me
know.

On Thu, Apr 4, 2024 at 2:06 PM Robert Burks <[email-masked]> wrote:

> I have submitted the request for the forms for past and future changes.
>
> That aspect slipped my mind.  The chain of emails I sent was originally
> just a
> couple lines to fix the segmentation fault in 'get-variable-watchers' and
> then
> just kept growing.
>
> I have sent an official request to assign copyright to GNU Emacs for any
> future
> works and for the past original works I have recently submitted for the
> following
> documents:
> lisp/bindings.el
> lisp/progmodes/flymake.el
> src/buffer.c
> src/data.c
> src/eval.c
> src/lisp.h
> test/src/data-tests.el
> test/src/eval-tests.el
>
> Robert A. Burks
>
> On Thu, Apr 4, 2024 at 1:02 PM Robert Burks <[email-masked]> wrote:
>
>> I've only submitted one trivial patch prior to this.  I will submit the
>> copyright assignment here shortly.
>>
>> On Thu, Apr 4, 2024 at 7:57 AM Eli Zaretskii <[email-masked]> wrote:
>>
>>> > Cc: [email-masked]
>>> > From: Andrea Corallo <[email-masked]>
>>> > Date: Thu, 04 Apr 2024 05:51:02 -0400
>>> >
>>> > Hi Robert,
>>> >
>>> > the patch LGTM, do you have the copyright assignment already done?
>>>
>>> He doesn't.
>>>
>>
From 4fbe173304d684ce9bfa3c20f3dea0a05031eb3f Mon Sep 17 00:00:00 2001
From: "Robert A. Burks" <[email-masked]>
Date: Fri, 5 Apr 2024 16:27:08 -0400
Subject: [PATCH 32/32] ; * Removed warning suppression

* test/src/eval-tests.el (eval-tests-defvaralias-errorcases):
---
 test/src/eval-tests.el | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

diff --git a/test/src/eval-tests.el b/test/src/eval-tests.el
index 8627503ce27..f824d338db1 100644
--- a/test/src/eval-tests.el
+++ b/test/src/eval-tests.el
@@ -372,12 +372,11 @@ eval-tests-defvaralias-errorcases
   ;; 'defvaralias' should error if new_alias has been
   ;; dynamically bound by 'let', otherwise it creates the alias.
   (defvar eval-tests-defvaralias-error-cases-a 5)
-  (with-no-warnings
-    (let ((eval-tests-defvaralias-error-cases-a 10))
-      ;; A dynamically let-bound symbol cannot be made an alias
-      (should-error (defvaralias
-                      'eval-tests-defvaralias-error-cases-a
-                      'load-path))))
+  (let ((eval-tests-defvaralias-error-cases-a 10))
+    ;; A dynamically let-bound symbol cannot be made an alias
+    (should-error (defvaralias
+                    'eval-tests-defvaralias-error-cases-a
+                    'load-path)))
   (with-temp-buffer
     (make-local-variable 'eval-tests-defvaralias-errorcases-a1)
     ;; A blv cannot be made an alias
-- 
2.34.1